<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.resource-adapters.resource-adapter" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="archive,beanvalidationgroups,bootstrap-context,module,statistics-enabled,transaction-support,wm-elytron-security-domain,wm-security,wm-security-default-groups,wm-security-default-principal,wm-security-domain,wm-security-mapping-groups,wm-security-mapping-required,wm-security-mapping-users"/>
        <elem name="addr-params" value="profile,subsystem,resource-adapter"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.resource-adapters"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.resource-adapter.$resource-adapter"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.jca.transaction-integration"/>
        <capability name="$profile.org.wildfly.naming"/>
    </requires>
    <refs>
        <ref feature="subsystem.resource-adapters"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="wm-elytron-security-domain" nillable="true" stability="default"/>
        <param name="wm-security-mapping-users" nillable="true" stability="default"/>
        <param name="module" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="resource-adapters"/>
        <param name="archive" nillable="true" stability="default"/>
        <param name="beanvalidationgroups" nillable="true" type="List&lt;String&gt;" stability="default"/>
        <param name="statistics-enabled" nillable="true" stability="default"/>
        <param name="transaction-support" nillable="true" stability="default"/>
        <param name="wm-security-mapping-groups" nillable="true" stability="default"/>
        <param name="wm-security-default-principal" nillable="true" stability="default"/>
        <param name="wm-security-domain" nillable="true" stability="default"/>
        <param name="wm-security-mapping-required" nillable="true" stability="default"/>
        <param name="resource-adapter" feature-id="true"/>
        <param name="wm-security" nillable="true" stability="default"/>
        <param name="bootstrap-context" nillable="true" stability="default"/>
        <param name="wm-security-default-groups" nillable="true" type="List&lt;String&gt;" stability="default"/>
    </params>
</feature-spec>